package com.qs.mp.common.enums;

import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 * @author zhangkaikai
 * @create 2023-05-17 9:22 AM
 **/

@JSONType(deserializer = EnumValueDeserializer.class)
public enum CdKeyStatusEnum implements IEnum<Integer> {

    UNCASHED(0, "未兑"),
    CASHED(1, "已兑"),
    ;


    private final Integer value;
    private final String desc;

    @Override
    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    CdKeyStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }
}
